import { type AxiosResponse } from 'axios';
import { type GetCareflowCommentsInputType, type GetCareflowCommentsResponseType, type GetTasksInputType, type GetTasksResponseType } from './schema';
export declare class TasksApiClient {
    private readonly client;
    constructor({ baseUrl, apiKey }: {
        baseUrl: string;
        apiKey: string;
    });
    getCareflowComments(input: GetCareflowCommentsInputType): Promise<AxiosResponse<GetCareflowCommentsResponseType>>;
    getTasks(input: GetTasksInputType): Promise<AxiosResponse<GetTasksResponseType>>;
}
